import * as IOO from "fp-ts/IOOption";
import * as IO from "fp-ts/IO";
import { execute as executeIO } from "./IO.js";
import { unsafeUnwrap as unsafeUnwrapO, unsafeExpect as unsafeExpectO, } from "./Option.js";
import { flow } from "fp-ts/function";
import { pass as _pass } from "./Applicative.js";
export const unsafeUnwrap = flow(IO.map(unsafeUnwrapO), executeIO);
export const unsafeExpect = (msg) => flow(IO.map(unsafeExpectO(msg)), executeIO);
export const pass = _pass(IOO.Applicative);
