import { flow, identity } from "fp-ts/function";
import * as TE from "fp-ts/TaskEither";
import { runReader } from "./Reader.js";
import { unsafeUnwrap as unsafeUnwrapTE, unsafeUnwrapLeft as unsafeUnwrapLeftTE, } from "./TaskEither.js";
export const runReaderTaskEither = runReader;
export const unsafeUnwrap = (rte) => (r) => unsafeUnwrapTE(rte(r));
export const unsafeUnwrapLeft = (rte) => (r) => unsafeUnwrapLeftTE(rte(r));
export const asksEither = (f) => flow(f, TE.fromEither);
export const asksTask = (f) => flow(f, TE.fromTask);
export const asksTaskEither = identity;
