"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isURL = exports.parseO = exports.parse = exports.unsafeParse = exports.clone = void 0;
const O = require("fp-ts/Option");
const E = require("fp-ts/Either");
const function_1 = require("fp-ts/function");
const Function_js_1 = require("./Function.js");
const clone = u => (0, exports.unsafeParse)(u.href);
exports.clone = clone;
const unsafeParse = (x) => (0, function_1.pipe)([x], (0, Function_js_1.construct)(URL));
exports.unsafeParse = unsafeParse;
const parse = (f) => (x) => E.tryCatch(() => (0, exports.unsafeParse)(x), e => f(e));
exports.parse = parse;
exports.parseO = (0, function_1.flow)((0, exports.parse)(function_1.identity), O.fromEither);
exports.isURL = (0, Function_js_1.isInstanceOf)(URL);
